DISKCO ;DISKCOMP/ASM	09:00  08/17/84
 ;COMP/ASM ALTERED FOR DISK COMPARES
 	ORG	5200H
 START	EQU	$
 	PUSH	HL
 	LD	HL,(4049H)
 	LD	A,(0054H)
 	DEC	A
 	JR	Z,MODI
 	LD	HL,(4411H)
 MODI	EQU	$
 	LD	DE,-200H
 	ADD	HL,DE
 	LD	(TOPMEM),HL
 	LD	DE,BIGBUF+256
 	OR	A
 	SBC	HL,DE
 	JP	C,MEMERR
 	POP	HL
 BLANK	LD	A,(HL)
 	CP	13
 	JP	Z,NOSPEC
 	CP	' '
 	JR	NZ,NBLANK
 	INC	HL
 	JR	BLANK
 NBLANK	LD	DE,DRV1
 A2	LD	A,(HL)
 	CP	13
 	JP	Z,NOSPEC
 	CP	':'
 	JR	NZ,A11
 	INC	HL
 	LD	A,(HL)
 A11	EQU	$
 	SUB	30H
 	CP	8
 	JP	NC,NOSPEC
 	LD	(DE),A
 	INC	HL
 	LD	DE,DRV2
 	LD	A,(HL)
 	CP	' '
 	JP	NZ,NOSPEC
 NEXT	EQU	$
 A3	LD	A,(HL)
 	CP	13
 	JP	Z,NOSPEC
 	CP	' '
 	JR	NZ,NEXT2
 	INC	HL
 	JR	A3
 NEXT2	CP	':'
 	JR	NZ,A12
 	INC	HL
 	LD	A,(HL)
 A12	EQU	$
 	SUB	30H
 	CP	8
 	JP	NC,NOSPEC
 	LD	(DE),A
 	INC	HL
 SAME	LD	A,(HL)
 	CP	13
 	JR	Z,GO
 	CP	' '
 	JR	Z,GO
 	JP	NOSPEC
 GO	EQU	$
 	DEC	HL
 AP	EQU	$
 	INC	HL
 	LD	A,(HL)
 	CP	' '
 	JR	Z,AP
 	CP	13
 	JR	Z,DOIT
 	CP	'S'
 	JR	Z,STRING
 	CP	'P'
 	JP	NZ,BADPRM
 	LD	A,(PRINT)
 	OR	A
 	JP	NZ,BADPRM
 	LD	A,1
 	LD	(PRINT),A
 	JR	AP
 PRINT	DEFB	0
 STRING	EQU	$		;GET START REL SECTOR
 	LD	A,(NFLAG)
 	OR	A
 	JP	NZ,BADPRM
 	PUSH	DE
 	LD	DE,0
 N1	INC	HL
 	LD	A,(HL)
 	CP	' '
 	JR	Z,N1
 N2	EQU	$
 	LD	A,(HL)
 	INC	HL
 	CP	13
 	JR	Z,N3
 	CP	' '
 	JR	Z,N3
 	SUB	30H
 	CP	10
 	JP	NC,BADPRM
 	PUSH	AF
 	LD	A,1
 	LD	(NFLAG),A
 	POP	AF
 	PUSH	HL
 	PUSH	DE
 	POP	HL
 	ADD	HL,DE
 	JP	C,BADPRM
 	ADD	HL,HL
 	JP	C,BADPRM
 	ADD	HL,DE
 	JP	C,BADPRM
 	ADD	HL,HL		;*10
 	JP	C,BADPRM
 	LD	E,A
 	LD	D,0
 	ADD	HL,DE
 	JP	C,BADPRM
 	EX	DE,HL
 	POP	HL
 	JR	N2
 NFLAG	DEFB	0
 N3	EQU	$
 	PUSH	AF
 	LD	A,(NFLAG)
 	OR	A
 	JP	Z,BADPRM
 	POP	AF
 	LD	(SEC),DE
 	LD	(FSEC),DE
 	LD	(NXT1),DE
 	LD	(NXT2),DE
 	POP	DE
 	DEC	HL
 	JP	GO
 DOIT	EQU	$
 	CALL	FILEP
 	LD	A,(DRV1)
 	LD	B,A
 	LD	A,(DRV2)
 	CP	B
 	JR	NZ,TWO		;JP IF NOT ON SAME DRIVE
 	LD	A,1
 	LD	(PROMPT),A	;SET PROMPT IF SAME DRIVE
 TWO	EQU	$
 	LD	A,'1'
 	LD	(DSK),A
 	LD	A,(DDRV1)
 	CALL	GETDSK
 	LD	A,(DRV1)
 	CALL	MOUNT
 	JP	NZ,ERR1
 	LD	DE,FCB1
 	CALL	GETSEC
 	JR	Z,OK1
 	CP	6
 	JR	Z,OK1
 	JP	ERR1
 OK1	EQU	$
 	LD	HL,BUF1
 	LD	DE,TEMP1
 	LD	BC,256
 	LDIR
 	LD	A,'2'
 	LD	(DSK),A
 	LD	A,(DDRV2)
 	CALL	GETDSK
 	LD	A,(DRV2)
 	CALL	MOUNT
 	JP	NZ,ERR2
 	LD	DE,FCB2
 	CALL	GETSEC
 	JR	Z,OK2
 	CP	6
 	JR	Z,OK2
 	JP	ERR2
 OK2	EQU	$
 ;MOVE FILE2 TO TEMP STORAGE JUST BEFORE GETSEC
 LOOP	EQU	$
 	LD	DE,FCB1
 	LD	HL,BIGBUF
 	LD	A,(PROMPT)
 	OR	A
 	JR	Z,MORE1
 	LD	A,'1'
 	LD	(DSK),A
 	LD	A,(DDRV1)
 	CALL	GETDSK
 MORE1	EQU	$
 	CALL	WAIT
 	CALL	GETSEC
 	PUSH	AF
 	PUSH	BC
 	PUSH	DE
 	PUSH	HL
 	EX	DE,HL
 	LD	HL,TEMP1
 	LD	BC,256
 	LDIR
 	LD	DE,TEMP1
 	LD	HL,BUF1
 	LD	BC,256
 	LDIR
 	POP	HL
 	POP	DE
 	POP	BC
 	POP	AF
 	JR	Z,INCBUF
 	CP	6		;READ PROT SEC ERROR
 	JR	Z,INCBUF
 	CP	14H		;TRK# TOO HIGH(=FILE 1CH)
 	JP	Z,EOF1
 	CP	1DH
 	JP	Z,ADJ1
 	JP	ERR1
 INCBUF	EQU	$
 	INC	H		;HL=HL+256
 	PUSH	HL
 	PUSH	DE
 	EX	DE,HL		;DE=POINTER
 	LD	HL,(TOPMEM)
 	OR	A
 	SBC	HL,DE
 	POP	DE
 	POP	HL
 	JR	NC,MORE1	;MORE SPACE, GET NXT SEC
 	LD	(LAST),HL	;LAST=NEXT NOT USED BYTE
 	LD	DE,BIGBUF	;START FOR COMPARE
 	JR	GET2
 EOF1	EQU	$
 	INC	H
 	LD	(LAST),HL
 	LD	A,1
 	LD	(END1),A
 	LD	DE,BIGBUF
 	JR	GET2
 ADJ1	EQU	$
 	LD	A,(FCB1+8)		;A=LOW EOF
 	LD	E,A
 	LD	D,0
 	ADD	HL,DE
 	LD	(LAST),HL
 	LD	A,1
 	LD	(END1),A
 	LD	DE,BIGBUF
 ;	JR	GET2
 GET2	EQU	$
 	LD	A,(PROMPT)
 	OR	A
 	JR	Z,MORE2
 	LD	A,'2'
 	LD	(DSK),A
 	LD	A,(DDRV2)
 	CALL	GETDSK
 MORE2	EQU	$
 	PUSH	DE		;SAVE BIGBUF POINTER
 	LD	DE,TEMP2
 	LD	HL,BUF2
 	LD	BC,256
 	LDIR
 	LD	DE,FCB2
 	LD	HL,BUF2
 	CALL	GETSEC
 	LD	HL,TEMP2
 	POP	DE		;RESTORE BIGBUF POINTER
 	JR	Z,COMP
 	CP	6
 	JR	Z,COMP
 	CP	14H		;TRK# TOO HIGH(=FILE 1CH)
 	JP	Z,EOF2
 	CP	1DH
 	JP	Z,ADJ2
 	JP	ERR2
 EOF2	EQU	$
 	LD	A,1
 	LD	(END2),A
 	JR	COMP
 ADJ2	EQU	$
 	LD	A,1
 	LD	(END2),A
 	LD	(TESTFL),A
 	LD	A,(FCB2+8)	;A=LOW EOF BYTE
 	LD	B,A		;B=# BYTES IN THIS READ
 	JR	C1		;C1, NOT COMP!
 COMP	EQU	$
 	PUSH	HL
 	PUSH	IY
 	LD	IY,(4020H)	;CURSOR POSITION
 	LD	HL,(SEC)
 	CALL	DISPHL
 	POP	IY
 	POP	HL
 	CALL	SETTST
 	LD	B,0		;B=256=# BYTES THIS READ
 C1	EQU	$
 	LD	A,(DE)
 	CP	(HL)
 	CALL	NZ,DIFFER
 	LD	A,(LOC)
 	INC	A
 	LD	(LOC),A
 	INC	DE
 	INC	HL
 	LD	A,(TESTFL)
 	OR	A
 	JR	Z,SKPTST
 	PUSH	DE
 	PUSH	HL
 	LD	HL,(LAST)
 	EX	DE,HL
 	OR	A
 	SBC	HL,DE		;BIGBUF POINTER -- LAST
 	POP	HL
 	POP	DE
 	JP	NC,DOLOOP	;EXIT IF (LAST) REACHED
 SKPTST	EQU	$
 	DJNZ	C1
 	LD	A,(END2)
 	OR	A
 	JP	NZ,LONG1
 	LD	HL,(SEC)
 	INC	HL
 	LD	(SEC),HL
 	CALL	WAIT
 	JP	MORE2
 SETTST	EQU	$
 	PUSH	HL
 	PUSH	DE
 	LD	HL,(LAST)
 	EX	DE,HL
 	INC	H
 	XOR	A
 	LD	(TESTFL),A
 	SBC	HL,DE
 	JR	C,NOTST
 	LD	A,1
 	LD	(TESTFL),A
 NOTST	EQU	$
 	POP	DE
 	POP	HL
 	RET
 TESTFL	DEFB	0
 DOLOOP	EQU	$
 	LD	HL,(SEC)
 	INC	HL
 	LD	(SEC),HL
 	LD	A,B		;B=LAST BYTE IN FILE2 BUFFER
 	DEC	A		;A=0 NOW IF END OF FILE2 BUFFER
 	JP	NZ,LONG2	;JP IF NOT, FILE2 LONGER
 	LD	A,(END2)
 	OR	A
 	JP	NZ,TEST12	;EOF OF 2, TEST EOF 1
 	LD	A,(END1)
 	OR	A
 	JP	NZ,LONG2	;EOF1, NOT EOF2
 	JP	LOOP		;GET NEXT SECTORS OF FILE1
 TEST12	EQU	$
 	LD	A,(END1)
 	OR	A
 	JP	NZ,EQUBYE	;FILES EQUAL IN LENGTH
 	JP	LONG1		;FILE1 LONGER
 LONG2	EQU	$
 	CALL	LF
 	LD	HL,L2MSG
 	CALL	DOSDIS
 	JP	DOSEXT
 L2MSG	EQU	$
 	DEFM	'Second disk has more sectors than first disk.'
 	DEFB	13
 LONG1	EQU	$
 	CALL	LF
 	LD	HL,L1MSG
 	CALL	DOSDIS
 	JP	DOSEXT
 L1MSG	EQU	$
 	DEFM	'First disk has more sectors than second disk.'
 	DEFB	13
 WAIT	EQU	$
 	LD	A,(BKROW)
 	BIT	02H,A
 	JP	NZ,ABORT
 	BIT	07H,A
 	JR	Z,NOWAIT
 ENTER	EQU	$
 	LD	A,(BKROW)
 	BIT	2,A
 	JP	NZ,ABORT
 	BIT	00H,A
 	JR	Z,ENTER
 NOWAIT	EQU	$
 	RET
 LOC	DEFB	0
 SEC	DEFW	0
 FSEC	DEFW	0		;FIRST SECTOR COMPARED
 ERRCNT	DEFW	0
 TOPMEM	DEFW	0
 LAST	DEFW	0
 END1	DEFB	0
 END2	DEFB	0
 PROMPT	DEFB	0
 SYS0	DEFB	0
 ERR	EQU	$
 	PUSH	AF		;SAVE ERR CODE
 	LD	A,(DRV1)
 	OR	A
 	JR	Z,ZERO
 	LD	A,(DRV2)
 	OR	A
 	JR	NZ,NOZERO
 ZERO	EQU	$
 	CALL	MOUNT0		;MOUNT SYS DISK ON 0
 	LD	A,1
 	LD	(SYS0),A
 NOZERO	EQU	$
 	POP	AF
 	OR	80H		;SET RETURN FLAG
 	CALL	DOSERR		;DISPLAY AND RETURN
 	RET
 MOUNT0	EQU	$
 	PUSH	HL
 	PUSH	DE
 	PUSH	BC
 	LD	HL,CR
 	CALL	4467H
 	LD	HL,GETSYS
 	CALL	4467H
 	CALL	CRNOBK
 	LD	HL,CR
 	CALL	4467H
 	POP	BC
 	POP	DE
 	POP	HL
 	RET
 GETSYS	EQU	$
 	DEFM	'Mount system disk on drive 0, press ENTER '
 	DEFB	14
 	DEFB	3
 EQUBYE	EQU	$
 	CALL	LF
 	LD	HL,(SEC)
 	LD	A,(LOC)
 	OR	A
 	JR	Z,Q1
 	DEC	HL
 	LD	(SEC),HL
 Q1	EQU	$
 	LD	IY,EOFSEC
 	CALL	DISPHL
 	LD	A,(LOC)
 	LD	L,A
 	LD	H,0
 	LD	IY,EOFBYT
 	CALL	DIS3HL
 	LD	HL,EOFMSG
 	CALL	DOSDIS
 	LD	HL,(ERRCNT)
 	LD	A,H
 	OR	L
 	LD	HL,GOOD
 	JR	Z,GOGOOD
 	LD	HL,(ERRCNT)
 	LD	IY,DISERR
 	CALL	DISPHL
 	LD	HL,BADMSG
 GOGOOD	CALL	DOSDIS
 	LD	HL,(FSEC)
 	LD	A,H
 	OR	L
 	JP	Z,DOSEXT
 	LD	IY,FSECDS
 	CALL	DISPHL
 	LD	HL,FDISP
 	CALL	DOSDIS
 	JP	DOSEXT
 FDISP	EQU	$
 	DEFM	'Compared only from sector '
 FSECDS	DEFM	'     .'
 	DEFB	13
 EOFMSG	EQU	$
 	DEFM	'Both disks have identical EOF = '
 EOFSEC	DEFM	'     /'
 EOFBYT	DEFM	'    decimal.'
 	DEFB	13
 GOOD	EQU	$
 	DEFM	'Both disks are exactly identical.'
 	DEFB	13
 BADMSG	EQU	$
 	DEFM	'<<< '
 DISERR	DEFS	5		;ERR CNT DISPLAY
 	DEFM	' mismatches. >>>'
 	DEFB	13
 ABORT	EQU	$
 	CALL	LF
 	LD	HL,BRKMSG
 	CALL	DOSDIS
 	JP	DOSEXT
 BRKMSG	EQU	$
 	DEFM	'Aborting comparison per request.'
 	DEFB	13
 DIFFER	EQU	$
 	PUSH	HL
 	PUSH	BC
 	PUSH	DE
 	PUSH	IY
 	LD	A,(HL)		;A=BYTE IN FILE 2
 	LD	C,A		;C=BYTE IN FILE 2
 	LD	A,(DE)		;A=BYTE IN FILE 1
 	LD	B,A		;B=BYTE IN FILE 1
 	LD	HL,SECDIS	;SECTOR DISPLAY
 	PUSH	HL
 	POP	IY
 	LD	HL,(SEC)
 	CALL	DISPHL
 	LD	HL,RELBYT
 	LD	A,(LOC)
 	CALL	ASCII
 	LD	HL,BYTE1
 	LD	A,B
 	CALL	ASCII
 	LD	HL,BYTE2
 	LD	A,C
 	CALL	ASCII
 	LD	HL,MISMSG
 	CALL	DOSDIS
 	LD	HL,(ERRCNT)
 	INC	HL
 	LD	(ERRCNT),HL
 	CALL	WAIT
 	POP	IY
 	POP	DE
 	POP	BC
 	POP	HL
 	RET	
 MISMSG	EQU	$
 	DEFM	'Mismatch at decimal sector '
 SECDIS	DEFS	5
 	DEFM	'  byte '
 RELBYT	DEFS	2
 	DEFM	'H    ('
 BYTE1	DEFS	2
 	DEFM	')H vs ('
 BYTE2	DEFS	2
 	DEFM	')H'
 	DEFB	13
 ASCII	PUSH	AF
 	SRL	A
 	SRL	A
 	SRL	A
 	SRL	A		;A=HIGH NYBBLE AS LOW
 	CALL	CONVRT
 	LD	(HL),A
 	POP	AF
 	AND	0FH
 	INC	HL
 	CALL	CONVRT
 	LD	(HL),A
 	RET	
 CONVRT	ADD	A,30H
 	CP	3AH
 	RET	M
 	ADD	A,7
 	RET	
 BASE10	EQU	$
 	DEFW	-10000
 	DEFW	-1000
 BASE3	DEFW	-100
 	DEFW	-10
 	DEFW	-1
 DIS3HL	EQU	$
 	PUSH	HL
 	PUSH	DE
 	PUSH	BC
 	LD	DE,BASE3
 	JR	B1
 DISPHL	PUSH	HL
 	PUSH	DE
 	PUSH	BC
 	LD	DE,BASE10
 B1	LD	A,(DE)
 	LD	C,A
 	INC	DE
 	LD	A,(DE)
 	LD	B,A
 	INC	DE
 	PUSH	DE
 	LD	A,2FH		;START AT A=-1
 B2	INC	A
 	LD	D,H
 	LD	E,L
 	ADD	HL,BC
 	JR	C,B2
 	EX	DE,HL
 	LD	(IY),A
 	INC	IY
 	POP	DE
 	INC	C
 	JR	NZ,B1
 	POP	BC
 	POP	DE
 	POP	HL
 	RET	
 NOSPEC	LD	HL,SPCMSG
 	CALL	DOSDIS
 	JP	DOSEXT
 SPCMSG	EQU	$
 	DEFM	'Missing or illegal disk specs.'
 	DEFB	13
 DOSDIS	EQU	$
 	CALL	4467H		;TO SCREEN
 	LD	A,(PRINT)
 	OR	A
 	CALL	NZ,446AH	;TO PRINTER
 	RET
 BADPRM	EQU	$
 	LD	HL,BADP
 	CALL	DOSDIS
 	JP	DOSEXT
 BADP	EQU	$
 	DEFM	'Bad parameters.'
 	DEFB	13
 FILEP	EQU	$
 	LD	A,(DRV1)
 	ADD	A,30H
 	LD	(DDRV1),A
 	LD	A,(DRV2)
 	ADD	A,30H
 	LD	(DDRV2),A
 	LD	HL,CR
 	CALL	DOSDIS
 	LD	HL,CMSG
 	CALL	DOSDIS
 	RET
 CMSG	EQU	$
 	DEFM	'Comparing disk '
 DDRV1	DEFB	0
 	DEFM	' vs disk '
 DDRV2	DEFB	0
 	DEFM	'.'
 	DEFB	13
 COFFCR	EQU	$		;CURSOR OFF + CR
 	DEFB	15
 CR	EQU	$
 	DEFB	0AH
 	DEFB	3
 GETDSK	EQU	$
 	LD	(GETDRV),A
 	PUSH	HL
 	LD	A,(DSK)
 	CP	'2'
 	JR	Z,NOLF
 	LD	HL,CR
 	CALL	4467H
 NOLF	EQU	$
 	LD	HL,GETMSG
 	CALL	4467H
 	CALL	GETCR
 	LD	HL,COFFCR
 	CALL	4467H
 	POP	HL
 	RET
 GETMSG	EQU	$
 	DEFM	'Press ENTER when disk '
 DSK	DEFM	'  is mounted on drive '
 GETDRV	DEFM	' : '
 	DEFB	14		;TURN CURSOR ON
 	DEFB	3
 GETCR	EQU	$
 	PUSH	DE
 	PUSH	IY
 L98	EQU	$
 	LD	A,(BKROW)
 	BIT	2,A
 	JP	NZ,ABORT
 	CALL	002BH
 	CP	13
 	JR	NZ,L98
 	POP	IY
 	POP	DE
 	RET
 CRNOBK	EQU	$
 	PUSH	DE
 	PUSH	IY
 L982	EQU	$
 	CALL	002BH
 	CP	13
 	JR	NZ,L982
 	POP	IY
 	POP	DE
 	RET
 ERR1	EQU	$
 	PUSH	AF
 	LD	HL,(NXT1)
 	LD	IY,ERRSEC
 	CALL	DISPHL
 	LD	HL,BAD1
 	JR	E1
 ERR2	EQU	$
 	PUSH	AF
 	LD	HL,(NXT2)
 	LD	IY,ERRSEC
 	CALL	DISPHL
 	LD	HL,BAD2
 E1	EQU	$
 	CALL	LF
 	PUSH	HL
 	LD	HL,SCMSG
 	CALL	DOSDIS
 	POP	HL
 	CALL	DOSDIS
 	POP	AF
 	CALL	ERR
 	JP	DOSEXT
 SCMSG	EQU	$
 	DEFM	'Error reading sector '
 ERRSEC	DEFM	'     .'
 	DEFB	13
 BAD1	EQU	$
 	DEFM	'DOS error in reading first disk.'
 	DEFB	13
 BAD2	EQU	$
 	DEFM	'DOS error in reading second disk.'
 	DEFB	13
 MEMERR	EQU	$
 	LD	HL,MEMMSG
 	CALL	DOSDIS
 	JP	DOSEXT
 MEMMSG	EQU	$
 	DEFM	'Not enough free memory.'
 	DEFB	13
 LF	EQU	$
 	PUSH	HL
 	PUSH	AF
 	LD	HL,CR
 	CALL	4467H
 	POP	AF
 	POP	HL
 	RET
 DOSEXT	EQU	$
 	LD	A,(SYS0)
 	OR	A
 	JR	NZ,DOSOUT
 	LD	A,(DRV1)
 	OR	A
 	JR	Z,GET0
 	LD	A,(DRV2)
 	OR	A
 	JR	NZ,DOSOUT
 GET0	EQU	$
 	CALL	MOUNT0
 DOSOUT	EQU	$
 	JP	402DH
 GETSEC	EQU	4436H
 BKROW	EQU	3840H
 DOSERR	EQU	4409H
 OPEN	EQU	4424H
 MOUNT	EQU	445EH
 FCB1	EQU	$
 	DEFB	82H		;OPEN, DISK SECTOR I/O
 	DEFB	20H		;BUFFER MUST BE READ
 	DEFB	0
 	DEFW	BUF1
 	DEFB	0		;NXT LOW BYTE
 DRV1	DEFB	0FFH		;DRIVE #
 	DEFB	0FFH		;DEC OF FPDE
 	DEFB	0		;EOF LOW BYTE
 	DEFB	0		;LRL=0=256 BYTES
 NXT1	DEFW	0		;NXT HIGH BYTES
 	DEFW	0FFFFH		;EOF HIGH BYTES
 	DEFW	0FFFFH
 	DEFW	0FFFFH
 	DEFW	0FFFFH
 	DEFW	0FFFFH
 	DEFW	0FFFFH		;NO FXDE
 	DEFW	0FFFFH
 	DEFW	0FFFFH
 	DEFW	0FFFFH
 	DEFW	0FFFFH
 BUF1	EQU	$
 	DEFS	100H
 TEMP1	EQU	$
 	DEFS	100H
 FCB2	EQU	$		;SAME SETUP AS FCB1
 	DEFB	82H
 	DEFB	20H
 	DEFB	0
 	DEFW	BUF2
 	DEFB	0
 DRV2	DEFB	0FFH
 	DEFB	0FFH
 	DEFB	0
 	DEFB	0
 NXT2	DEFW	0
 	DEFW	0FFFFH		;EOF
 	DEFW	0FFFFH
 	DEFW	0FFFFH
 	DEFW	0FFFFH
 	DEFW	0FFFFH
 	DEFW	0FFFFH		;NO FXDE
 	DEFW	0FFFFH
 	DEFW	0FFFFH
 	DEFW	0FFFFH
 	DEFW	0FFFFH
 BUF2	EQU	$
 	DEFS	100H
 TEMP2	EQU	$
 	DEFS	100H
 BIGBUF	EQU	$
 	END	START
